import * as z from 'zod';
// prettier-ignore
export const CommissionBatchResultSchema = z.object({
    id: z.number().int(),
    npiProviderId: z.number().int(),
    totalCollection: z.number(),
    commissionAmount: z.number(),
    notes: z.string().nullable(),
    createdAt: z.date(),
    npiProvider: z.unknown(),
    items: z.array(z.unknown())
}).strict();

export type CommissionBatchResultType = z.infer<typeof CommissionBatchResultSchema>;
